package org.gcube.portlets.widgets.ckancontentmoderator.client;

import org.gcube.datacatalogue.utillibrary.shared.ItemStatus;
import org.gcube.portlets.widgets.ckancontentmoderator.client.ui.table.ItemsTable.DISPLAY_FIELD;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.ui.ComplexPanel;

/**
 * The Class CkanContentModeratorWidget.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Jun 15, 2021
 */
public class CkanContentModeratorWidget {

	private CkanContentModeratorWidgetController cmsController;

	/**
	 * Instantiates a new ckan content moderator widget.
	 *
	 * @param status        the status
	 * @param displayFields the display fields
	 * @param sortByField   the sort by field
	 */
	public CkanContentModeratorWidget(ItemStatus status, DISPLAY_FIELD[] displayFields, DISPLAY_FIELD sortByField,
			Command onConfigurationLoaded) {
		cmsController = new CkanContentModeratorWidgetController(status, displayFields, sortByField);

	}

	/**
	 * Gets the panel.
	 *
	 * @return the panel
	 */
	public ComplexPanel getPanel() {
		return cmsController.getMainPanel();
	}

}
